import { useLocalSearchParams } from "expo-router";
import { TownSelectionPage } from "../../../../../src/screens/town_selection/town_selection_page";
import { TownActivitiesPage } from "../../../../../src/screens/town_activities/town_activities_page";

export default function TownSelectionScreen() {
    const { stateId, townId } = useLocalSearchParams<{stateId: string, townId: string}>();
    if (!stateId || !townId) {
        throw new Error("stateId and townId are required");
    }
    return (
        <TownActivitiesPage stateId={+stateId} townId={+townId}/>
    );
}